#!/usr/bin/env ruby

def kick_mac(mac)
	system("iwpriv", "ath0", "kickmac", mac)
end
def check_mac(mac)
	return (mac =~ /^((?:[0-9a-f]{2}:){5}[0-9a-f]{2})$/i)
end
def check_ssid(ssid)
	return ssid.length < 33 && ssid.length > 0;
end
def interface_exists()
	return (`iwconfig ath0 2>&1` =~ /No such device/)
end
def create_interface()
# using ` rather than system as system outputs messages to screen
	system("wlanconfig ath0 create wlandev wifi0 wlanmode master 2>&1 > /dev/null")
	#`wlanconfig ath0 create wlandev wifi0 wlanmode master > /dev/null`
end
def interface_down()
	system("ifconfig", "ath0", "down")
end
def interface_up()
	system("ifconfig", "ath0", "10.1.1.1", "up")
#	`ifconfig ath0 10.1.1.1 up 2>&1 > /dev/null`
end
def is_interface_up()
	return (`ifconfig ath0` =~ /UP/)
end
def karma_on()
	system("iwpriv", "ath0", "karma", "1")
end
def karma_off()
	system("iwpriv", "ath0", "karma", "0")
end
def is_karam_on()
	return (`iwpriv ath0 get_karma` =~ /get_karma:1/)
end
def is_karma_blacklist()
	return (`iwpriv ath0 get_karma_bw` =~ /get_karma_bw:0/)
end
def karma_blacklist()
	system("iwpriv", "ath0", "karma_bw", "0")
end
def karma_whitelist()
	system("iwpriv", "ath0", "karma_bw", "1")
end
def add_ssid (ssid)
	system("iwpriv", "ath0", "addkarmassid", ssid)
end
def clear_ssid_list()
	system("iwpriv", "ath0", "clrkarmalist", "0")
end
